{{page-title (capitalize (t "new article"))}}

{{#if @model}}
  <Manage::Container @title={{capitalize (t "new article")}} @breadcrumbs={{this.breadcrumbs}}>
    <:content>
      {{#unless @model.teams}}
        <Manage::Row>
          <div class="alert alert-danger" role="alert">
            <p>{{capitalize (t "team-needed-message")}}</p>
            <LinkTo @route="manage.teams.add" @query={{hash next="add.article"}}
              class="btn btn-secondary btn btn-add-team">
              <FaIcon @icon="plus" />
              {{capitalize (t "team")}}
            </LinkTo>
          </div>
        </Manage::Row>
      {{/unless}}

      <Manage::Row @name="article">
        <Article::Editor @onPictureUpload={{this.onPictureUpload}} @value={{this.article}}
          @onChange={{this.changeArticleValue}} class="article-with-borders" />
      </Manage::Row>

      <Manage::RowAdd @name="categories" as |id|>
        <Input::StringListSuggestions class="input-categories" @id={{id}} @primaryOptions={{@model.article.visibility.team.categories}}
          @onPrimaryChange={{this.handlePrimaryChange}} @options={{this.existingCategories}}
          @value={{@model.categories}} @onChange={{this.changeCategories}} {{did-insert this.updateCategories}} />
      </Manage::RowAdd>

      <Manage::RowAdd @name="team" as |id|>
        {{#if @model.teams}}
          {{#if this.user.isAdmin}}
            <Manage::SelectWithVisibility @id={{id}} @list={{@model.teams}} @value={{@model.article.visibility.team}}
              @onChange={{this.changeTeam}} @areAllShowing={{this.all}} @toggleAll={{this.toggleAll}} />
          {{else}}
            <Input::Select id={{id}} @list={{@model.teams}} @value={{@model.article.visibility.team}}
              @onChange={{this.changeTeam}} />
          {{/if}}
        {{else}}
          <LinkTo @route="manage.teams.add" @query={{hash next="add.article"}}
            class="btn btn-secondary btn btn-add-team">
            <FaIcon @icon="plus" />
            {{capitalize (t "team")}}
          </LinkTo>
        {{/if}}
      </Manage::RowAdd>

      <Manage::Row @name="add">
        <button type="button" class="btn btn-primary btn-submit" {{on "click" this.save}}
          disabled={{not this.canSubmit}}>
          {{#if this.model.article.isSaving}}
            <FaIcon @icon="spinner" @spin={{true}} />
          {{/if}}

          {{capitalize (t "add")}}
        </button>
      </Manage::Row>
    </:content>
  </Manage::Container>
{{else}}
  <LoadingContainer />
{{/if}}